Bug 416141 - FEAT:[RHEL5.2][XEN] idle=poll
FEAT:[RHEL5.2][XEN] idle=poll
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Markus Armbruster
Martin Jenner
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-12-07 16:38 EST by Markus Armbruster
Modified: 2008-09-18 09:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-18 09:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
idle=poll feature straight from xen-unstable (4.09 KB, text/x-patch)
2007-12-07 16:53 EST, Markus Armbruster
no flags Details

  None (edit)
Description Markus Armbruster 2007-12-07 16:38:13 EST
The idle=poll kernel parameter causes the kernel to use a polling loop rather
than hypercall down to block.  This is useful to profile the amount of sleep
cycles when using xenoprof.  Upstream since 3.1.0.
Comment 1 Markus Armbruster 2007-12-07 16:53:51 EST
Created attachment 281661 [details]
idle=poll feature straight from xen-unstable
Comment 2 Bill Burns 2007-12-10 08:17:18 EST
Partner AMD would like this. It adds a boot option useful for profiling but does
not effect normal operation when the boot option is not used.
Comment 4 Don Zickus 2008-01-21 12:30:02 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Markus Armbruster 2008-03-19 05:02:13 EDT
The patch has been found to cause bug 437252.  We're going to yank it.  I
recommend to WONTFIX this bug.
Comment 7 Bill Burns 2008-03-19 06:05:18 EDT
Changing state to reflect the removal of the patch.
Comment 13 Bill Burns 2008-09-18 09:06:39 EDT
Closed as won't fix, based on reporter/assignee's comment #6.

Note You need to log in before you can comment on or make changes to this bug.